/** Copyright (C) 2017 by Bundesanstalt für Gewässerkunde
 * Software engineering by
 *  Björnsen Beratende Ingenieure GmbH
 *  Dr. Schumacher Ingenieurbüro für Wasser und Umwelt
 *
 * This file is Free Software under the GNU AGPL (>=v3)
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details.
 */
package org.dive4elements.river.artifacts.sinfo.flowdepthdev;

import org.dive4elements.river.artifacts.sinfo.common.DatacagePairSelectState;

/**
 * @author Gernot Belger
 */
// REAMRK: very ugly; but probably we will break the serialization of WaterlevelPairSelectState if we introduce an
// abstraction
public final class WaterlevelSoundingHistoricalPairSelectState extends DatacagePairSelectState {

    private static final long serialVersionUID = 1L;

    public WaterlevelSoundingHistoricalPairSelectState() {
        super("sinfo_flowdepth_development_twin_panel", FlowDepthDevelopmentAccess.FIELD_DIFFID_HIST, true); // also switch on client-side, if switched here
    }
}